Public Class BadEmail
    Private badEmailDirectory As String
    Private autoDeleted As Integer

    Private Sub deleteEmail_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles deleteEmail.Click
        DeleteSelectedEmail()
    End Sub
    Private Sub DeleteEmailFiles(ByVal baseFileName As String)
        Dim fileName As String = baseFileName
        fileName = fileName.Substring(0, fileName.LastIndexOf(".") + 1) & "*"
        For Each foundFile As String In My.Computer.FileSystem.GetFiles(badEmailDirectory, True, fileName)
            My.Computer.FileSystem.DeleteFile(foundFile, False, False)
        Next
    End Sub
    Private Sub DeleteSelectedEmail()
        If badEmailList.SelectedItems.Count = 0 Then
            Exit Sub
        End If
        Recipient.Text = ""
        subjectLine.Text = ""

        DeleteEmailFiles(badEmailList.SelectedItem.ToString)

        Dim selectedItem As Int16 = badEmailList.SelectedIndex
        badEmailList.Items.Remove(badEmailList.SelectedItem)
        If badEmailList.Items.Count > 0 Then
            If selectedItem = badEmailList.Items.Count() And badEmailList.Items.Count > 1 Then
                badEmailList.SelectedIndex = selectedItem - 1
            Else
                badEmailList.SelectedIndex = selectedItem
            End If
        End If
    End Sub
    Private Sub badEmailList_SelectedIndexChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles badEmailList.SelectedIndexChanged
        emailBody.Clear()
        Me.Refresh()
        If badEmailList.SelectedItems.Count > 0 Then
            If badEmailList.Items.Count > 0 Then
                ReadEmail()
            End If
        End If
    End Sub
    Private Sub FillbadEmailList()
        badEmailList.Items.Clear()
        emailBody.Text = ""
        Try
            For Each foundFile As String In _
            My.Computer.FileSystem.GetFiles(badEmailDirectory, True, "*.bad")
                badEmailList.Items.Add( _
                    foundFile.Substring(foundFile.LastIndexOf("\") + 1))
            Next
        Catch ex As Exception
            MsgBox("Could not get file list because " & ex.Message, MsgBoxStyle.OKOnly + MsgBoxStyle.Critical, "Error getting bad email list")
        End Try

        If badEmailList.Items.Count > 0 Then
            badEmailList.SelectedIndex = 0
            ReadEmail()
        End If
    End Sub
    Private Sub ReadEmail()
        If badEmailList.Items.Count = 0 Then
            Exit Sub
        End If
        emailBody.Text = My.Computer.FileSystem.ReadAllText( _
            badEmailDirectory & "\" & badEmailList.SelectedItem.ToString)
        emailBody.Select(0, 0)
        Dim substart As Integer = emailBody.Text.LastIndexOf("Subject:")
        Dim rcptstart As Integer = emailBody.Text.LastIndexOf("Final-Recipient:")
        If rcptstart > 0 Then
            Recipient.Text = emailBody.Text.Substring(rcptstart, emailBody.Text.IndexOf(vbCrLf, rcptstart) - rcptstart)
        Else
            Recipient.Text = ""
        End If
        If substart > 0 Then
            subjectLine.Text = emailBody.Text.Substring(substart, emailBody.Text.IndexOf(vbCrLf, substart) - substart)
        Else
            subjectLine.Text = ""
        End If

        UpdateStatus(badEmailList.SelectedIndex + 1 & " of " & badEmailList.Items.Count & " total emails / " & autoDeleted & "  emails auto deleted")
        emailBody.Focus()


        If IsSPAM(emailBody.Text) Then
            autoDeleted += 1
            DeleteSelectedEmail()
        End If
    End Sub

    Private Function IsSPAM(ByVal checkString As String) As Boolean
        Dim retVal As Boolean = False
        If checkString.ToUpper().IndexOf("Wysak".ToUpper()) > 0 Then retVal = True
        If checkString.ToUpper().IndexOf("OTC".ToUpper()) > 0 Then retVal = True
        If checkString.ToUpper().IndexOf("Viagra".ToUpper()) > 0 Then retVal = True
        If checkString.ToUpper().IndexOf("Cialis".ToUpper()) > 0 Then retVal = True
        If checkString.ToUpper().IndexOf("stock".ToUpper()) > 0 Then retVal = True
        If checkString.ToUpper().IndexOf("administrators in hospitals ".ToUpper()) > 0 Then retVal = True
        If checkString.ToUpper().IndexOf("pharm".ToUpper()) > 0 Then retVal = True
        If checkString.ToUpper().IndexOf("YPIL".ToUpper()) > 0 Then retVal = True
        If checkString.ToUpper().IndexOf("My name is Julie".ToUpper()) > 0 Then retVal = True
        If checkString.ToUpper().IndexOf("pain".ToUpper()) > 0 Then retVal = True
        If checkString.ToUpper().IndexOf("hospital".ToUpper()) > 0 Then retVal = True
        If checkString.ToUpper().IndexOf("Subject: Re".ToUpper()) > 0 Then retVal = True

        If checkString.ToUpper().IndexOf("sexual".ToUpper()) > 0 Then retVal = True
        If checkString.ToUpper().IndexOf("loan".ToUpper()) > 0 Then retVal = True
        If checkString.ToUpper().IndexOf("oem".ToUpper()) > 0 Then retVal = True
        If checkString.ToUpper().IndexOf("refinance".ToUpper()) > 0 Then retVal = True
        If checkString.ToUpper().IndexOf("h0t".ToUpper()) > 0 Then retVal = True
        If checkString.ToUpper().IndexOf("backgammon".ToUpper()) > 0 Then retVal = True
        If checkString.ToUpper().IndexOf("penis".ToUpper()) > 0 Then retVal = True
        Return retVal

    End Function


    Private Sub ExitToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles ExitToolStripMenuItem.Click
        Me.Close()
    End Sub

    Private Sub BadEmail_FormClosing(ByVal sender As Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles Me.FormClosing
        SetRegistryValue(HKEY_CURRENT_USER & "\Software\Finsel.com\BadEmail", "Directory", badEmailDirectory)
    End Sub

    Private Sub BadEmail_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        badEmailDirectory = GetRegistryValue(HKEY_CURRENT_USER & "\Software\Finsel.com\BadEmail", "Directory", "")
        If badEmailDirectory = "" Then
            badEmailDirectory = InputBox("Entere Directory Name:", "BadEmail Directory", badEmailDirectory)
            SetRegistryValue(HKEY_CURRENT_USER & "\Software\Finsel.com\BadEmail", "Directory", badEmailDirectory)
        End If
        Me.Show()
        Me.Refresh()
        Application.DoEvents()
        FillbadEmailList()
    End Sub
    Private Sub RefreshToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles RefreshToolStripMenuItem.Click
        FillbadEmailList()
    End Sub
    Private Sub AboutToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles AboutToolStripMenuItem.Click
        AboutBox1.ShowDialog()
    End Sub

    Private Sub UpdateStatus(ByVal StatusMessage As String)
        statusBar.Items(0).Text = StatusMessage
        statusBar.Update()

    End Sub


    Private Sub SpamCleanToolStripMenuItem_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles SpamCleanToolStripMenuItem.Click
        Dim iCheckitem As Integer = badEmailList.Items.Count - 1
        Dim strBody As String

        Do While iCheckitem >= 0
            If badEmailList.Items.Count = 0 Then
                Exit Sub
            End If
            If iCheckitem > badEmailList.Items.Count - 1 Then
                iCheckitem = badEmailList.Items.Count - 1
            End If
            badEmailList.SelectedIndex = iCheckitem
            strBody = My.Computer.FileSystem.ReadAllText( _
              badEmailDirectory & "\" & badEmailList.SelectedItem.ToString)
            If IsSPAM(strBody) Then
                DeleteEmailFiles(badEmailList.SelectedItem.ToString)
            End If
            iCheckitem -= 1
            Application.DoEvents()

        Loop
    End Sub
End Class